Lavalite package that provides developer management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `bixo/developer`.

    "bixo/developer": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Bixo\Developer\Providers\DeveloperServiceProvider::class,

And also add it to alias

    'Developer'  => Bixo\Developer\Facades\Developer::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Bixo\\DeveloperTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Bixo\Developer\Providers\DeveloperServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Bixo\Developer\Providers\DeveloperServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Bixo\Developer\Providers\DeveloperServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/developer/{modulename}

**User**

    http://path-to-route-folder/user/developer/{modulename}

**Public**

    http://path-to-route-folder/developers


### API endpoints

**List**

    http://path-to-route-folder/api/user/developer/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/developer/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/developer/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/developer/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/developer/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/developer/{modulename}/{slug}
    METHOD: GET