<?php

namespace Bixo\Developer;

use User;

class Developer
{
    /**
     * $developers object.
     */
    protected $developers;

    /**
     * Constructor.
     */
    public function __construct(\Bixo\Developer\Interfaces\DevelopersRepositoryInterface $developers)
    {
        $this->developers = $developers;
    }

    /**
     * Returns count of developer.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.developers.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->developers->pushCriteria(new \Litepie\Bixo\Repositories\Criteria\DevelopersUserCriteria());
        }

        $developers = $this->developers->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('developer::' . $view, compact('developers'))->render();
    }
}
